scala.tools.nsc.typechecker.ContextErrors.NamerContextErrors

# NamerErrorGen

#### object NamerErrorGen

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NamerErrorGen
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def AbstractMemberWithModiferError(sym: Global.Symbol, flag: Int): Unit

7. #### def BeanPropertyAnnotationFieldWithoutLetterError(tree: Global.Tree): Unit

8. #### def BeanPropertyAnnotationLimitationError(tree: Global.Tree): Unit

9. #### def BeanPropertyAnnotationPrivateFieldError(tree: Global.Tree): Unit

10. #### def DoubleDefError(currentSym: Global.Symbol, prevSym: Global.Symbol): Unit

11. #### def DuplicatesError(tree: Global.Tree, name: Global.Name, kind: NamerErrorGen.DuplicatesErrorKinds.Value): Unit

12. #### object DuplicatesErrorKinds extends Enumeration

13. #### def GetterDefinedTwiceError(getter: Global.Symbol): Unit

14. #### def IllegalDependentMethTpeError(sym: Global.Symbol)(context: Analyzer.Context): Unit

15. #### def IllegalModifierCombination(sym: Global.Symbol, flag1: Int, flag2: Int): Unit

16. #### def InheritsItselfError(tree: Global.Tree): Unit

17. #### def MaxParametersCaseClassError(tree: Global.Tree): Unit

18. #### def MissingParameterOrValTypeError(vparam: Global.Tree): Unit

19. #### def PrivateThisCaseClassParameterError(tree: Global.Tree): Unit

20. #### def RootImportError(tree: Global.Tree): Unit

21. #### object SymValidateErrors extends Enumeration

22. #### def SymbolValidationError(sym: Global.Symbol, errKind: NamerErrorGen.SymValidateErrors.Value): Unit

23. #### def TypeSigError(tree: Global.Tree, ex: Global.TypeError): Unit

24. #### def ValOrValWithSetterSuffixError(tree: Global.Tree): Unit

25. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

26. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### implicit val contextNamerErrorGen: Analyzer.Context

28. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

30. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

31. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

32. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

33. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped